

%.html: %.md
	pandoc --from markdown-implicit_figures+auto_identifiers \
	--section-divs \
	--to html5 \
	--css index.css \
	--standalone $< \
	-o $@

# index.html: index.md
# 	pandoc --from markdown-implicit_figures+auto_identifiers \
# 	--section-divs \
# 	--to html5 \
# 	--css index.css \
# 	--standalone index.md \
# 	-o index.html

all: index.json


archive.json:
	python scripts/mediawiki.py gallery --name archive --recursive \
		https://pzwiki.wdka.nl/mediadesign/Category:2016 \
		https://pzwiki.wdka.nl/mediadesign/Category:2015 \
		https://pzwiki.wdka.nl/mediadesign/Category:2014 \
		https://pzwiki.wdka.nl/mediadesign/Category:2013 \
		https://pzwiki.wdka.nl/mediadesign/Category:2012 \
		https://pzwiki.wdka.nl/mediadesign/Category:2011 \
		https://pzwiki.wdka.nl/mediadesign/Category:2010 \
		https://pzwiki.wdka.nl/mediadesign/Category:2009 \
		https://pzwiki.wdka.nl/mediadesign/Category:2008 \
		https://pzwiki.wdka.nl/mediadesign/Category:2007 \
		https://pzwiki.wdka.nl/mediadesign/Category:2006 \
		https://pzwiki.wdka.nl/mediadesign/Category:2005 \
		https://pzwiki.wdka.nl/mediadesign/Category:2004 > archive.json

drop.node.json: drop.json
	cat drop.json | python scripts/leaflet.py gallery --reverse --recursive --direction 2 > drop.node.json

about.json: about.txt
	python scripts/texthierarchy.py < about.txt > about.json

index.json: archive.json about.json drop.node.json
	python scripts/includenodes.py xpub.top.json > index.json

recent.json: web.touch
	python scripts/mediawiki.py recentfiles --usercategory Xpub ...